<!--
  Gestion des ACLs en base
-->

<?php require_once('header.php'); ?>

<div id="content"> 
   <h3>ACLs (<span id="nbLigne"></span>)</h3>
   <form id="frmAcl" method="post" action="javascript:void(0);">
      <input type="hidden" name="action" value="save">
      <input type="hidden" name="crud_model" id="crud_model" value="MyMVC_acl_ini">
   <table border="1">
      <tr>
         <th width="30">ID</th>
         <th width="60">Type</th>
         <th width="150">Nom</th>
         <th width="350">Valeur</th>
         <th width="40">Actif</th>
         <th width="100">&nbsp;</th>
      </tr>
      <tr id="frmLine">
         <td><input type="text" readonly="readonly" value="" id="id_acl" name="id_acl" size="3"> </td>
         <td><select id="acl_type" name="acl_type">
               <option value="Groupe">Groupe</option>
               <option value="Context">Context</option>
               <option value="Allow">Allow</option>
               <option value="Deny">Deny</option>
            </select>
         </td>
         <td><input type="text" value="" id="acl_name" name="acl_name" maxlength="30" placeholder="nom"></td>
         <td><input type="text" value="" id="acl_value" name="acl_value" maxlength="30" placeholder="valeur"></td>
         <td><select name="acl_enable" id="acl_enabled">
               <option value="O">Oui</option>
               <option value="N">Non</option>
            </select></td>
            <td class="acenter">
               <button id="btSave">Enregistrer</button><button id="btRaz" title="Efface le formulaire">RAZ</button>
            </td>
      </tr>
      <tr>
         <td colspan="6" id="errorLine">
            
         </td>
      </tr>
      <tbody id="liste">
         
         
      </tbody>
   </table>
</form>
</div>

<?php require_once('footer.php'); ?>

<script>
   
$(document).ready(function() { MyMVC_Admin.init('frmAcl','liste'); }) ;

function fillTable(data)
{
    container = document.getElementById('liste');
    i = data.length;
    $("#nbLigne").html(i);
    for(j=0;j<i;j++)
    {
        r = data[j];
        tr = document.createElement('tr');
        td = document.createElement('td');
        td.innerHTML = r.id_acl;
        td.className="acenter";
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.acl_type;
        td.className="acenter";
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.acl_name;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.acl_value;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.acl_enable;
        td.className="acenter";
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.className="acenter";
        td.innerHTML = '<button class="btEdit" id='+r.id_acl+' title="Modifier cette ligne">Editer</button>';
        td.innerHTML += '<button class="btDelete" id='+r.id_acl+' title="Supprimer cette ligne">Suppr.</button>';
        tr.appendChild(td);
        tr.className = "type_"+r.acl_type;;
        tr.setAttribute('id',+r.id_acl);
        container.appendChild(tr);
    }
    MyMVC_Admin.enableButton();
  }
</script>
