<!--
  Gestion des ACLs en base
-->

<?php require_once('header.php'); ?>

<div id="content"> 
   <h3>Configuration (<span id="nbLigne"></span>)</h3>
   <form id="frmConfig" method="post" action="javascript:void(0);">
      <input type="hidden" name="action" value="save">
      <input type="hidden" name="crud_model" id="crud_model" value="MyMVC_config_ini">
      <input type="hidden" size="6" value="0" name="co_system" id="co_system">
   <table border="1">
      <tr>
         <th width="50">ID</th>
         <th width="180">Variable</th>
         <th width="180">Valeur</th>
         <th width="250">Note</th>
         <th width="140">&nbsp;            
         </th>
      </tr>
      <tr id="frmLine">
         <td><input type="text" readonly="readonly" value="" id="id_config" name="id_config" size="3"></td>
         <td><input type="text" value="" id="co_name" name="co_name" maxlength="50" size="18" placeholder="Variable"></td>
         <td><input type="text" value="" id="co_value" name="co_value" maxlength="50" size="18" placeholder="Valeur"></td>
         <td><input type="text" value="" id="co_note" name="co_note" maxlength="500" size="68" placeholder="Informations"></td>
         <td class="acenter">
            <button id="btSave">Enregistrer</button><button id="btRaz" title="Efface le formulaire">RAZ</button>
         </td>
      </tr>
      <tr>
         <td colspan="5" id="errorLine"></td>
      </tr>
      <tbody id="liste"></tbody>
   </table>
</form>
</div>

<?php require_once('footer.php'); ?>

<script>
$("#nbLigne").html(0);
$(document).ready(function() { MyMVC_Admin.init('frmConfig','liste'); }) ;

function fillTable(data)
{
    container = document.getElementById('liste');
    i = data.length;
    $("#nbLigne").html(i);
    back = '#FDFDFD';
    for(j=0;j<i;j++)
    {
        r = data[j];
        tr = document.createElement('tr');
        td = document.createElement('td');
        td.innerHTML = r.id_config;
        td.className="acenter";
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.co_name;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.co_value;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.setAttribute('style', 'word-wrap: break-word;');
        td.innerHTML = r.co_note;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.className="acenter";
        td.innerHTML = '<button class="btEdit" id='+r.id_config+' title="Modifier cette ligne">Editer</button>';
        if( r.co_system=='N') {
            td.innerHTML += '<button class="btDelete" id='+r.id_config+' title="Supprimer cette ligne">Suppr.</button>';
        }
        tr.appendChild(td);
        tr.setAttribute('id',+r.id_config);
        tr.setAttribute('style',"background:"+back+";");
        back = (back=='#FDFDFD')? '#DEDEDE' : '#FDFDFD';
        container.appendChild(tr);
    }
    MyMVC_Admin.enableButton();
  }
</script>
