<!--
  Gestion des ACLs en base
-->

<?php require_once('header.php'); ?>

<div id="content"> 
   <h3>Datasources (<span id="nbLigne"></span>)</h3>
   <form id="frmDatasource" method="post" action="javascript:void(0);">
      <input type="hidden" name="action" value="save">
      <input type="hidden" name="crud_model" id="crud_model" value="MyMVC_datasource_ini">
   <table border="1">
      <tr>
         <th width="40">ID</th>
         <th width="150">Variable</th>
         <th width="250">Context</th>
         <th width="150">Function</th>
         <th width="40">Cache</th>
         <th width="200">Note</th>
         <th width="140">&nbsp;</th>
      </tr>
      <tr id="frmLine">
         <td><input type="text" readonly="readonly" value="" id="id_datasource" name="id_datasource" size="3"> </td>
         <td><input type="text" value="" id="ds_name" name="ds_name" maxlength="50" size="20" placeholder="Nom de la variable"></td>
         <td><input type="text" value="" id="ds_context" name="ds_context" maxlength="50" size="20" placeholder="Context"></td>
         <td><input type="text" value="" id="ds_func" name="ds_func" maxlength="50" size="20" placeholder="Fonction"></td>
         <td>
            <select name="ds_cache" id="ds_cache">
               <option value="O">Oui</option>
               <option value="N">Non</option>
            </select>
        </td>
         <td><input type="text" value="" id="ds_note" name="ds_note" maxlength="500" size="40" placeholder="Informations"></td>
         <td class="acenter">
            <button id="btSave">Enregistrer</button><button id="btRaz" title="Efface le formulaire">RAZ</button>
         </td>
      </tr>
      <tr>
         <td colspan="7" id="errorLine"></td>
      </tr>
      <tbody id="liste"></tbody>
   </table>
</form>
</div>

<?php require_once('footer.php'); ?>

<script>
$("#nbLigne").html(0);   
$(document).ready(function() { MyMVC_Admin.init('frmDatasource','liste'); }) ;

function fillTable(data)
{
    container = document.getElementById('liste');
    i = data.length;
    $("#nbLigne").html(i);
    back = '#FDFDFD';
    for(j=0;j<i;j++)
    {
        r = data[j];
        tr = document.createElement('tr');
        td = document.createElement('td');
        td.innerHTML = r.id_datasource;
        td.className="acenter";
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.ds_name;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.ds_context;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.ds_func;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.ds_cache;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.ds_note;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.className="acenter";
        td.innerHTML = '<button class="btEdit" id='+r.id_datasource+' title="Modifier cette ligne">Editer</button>';
        td.innerHTML += '<button class="btDelete" id='+r.id_datasource+' title="Supprimer cette ligne">Suppr.</button>';
        tr.appendChild(td);
        tr.setAttribute('id',+r.id_datasource);
        tr.setAttribute('style',"background:"+back+";");
        back = (back=='#FDFDFD')? '#DEDEDE' : '#FDFDFD';
        container.appendChild(tr);
    }
    MyMVC_Admin.enableButton();
  }
</script>
