<!--
  Gestion des ACLs en base
-->

<?php require_once('header.php'); ?>

<div id="content"> 
   <h3>Files (<span id="nbLigne"></span>)</h3>
   <form id="frmFile" method="post" action="javascript:void(0);">
      <input type="hidden" name="action" value="save">
      <input type="hidden" name="crud_model" id="crud_model" value="MyMVC_file_ini">
   <table border="1">
      <tr>
         <th width="50">ID</th>
         <th width="100">Type</th>
         <th width="300">Fichiers</th>
         <th width="300">Note</th>
         <th width="140">&nbsp;</th>
      </tr>
      <tr id="frmLine">
         <td><input type="text" readonly="readonly" value="" id="id_file" name="id_file" size="3" class="acenter"> </td>
         <td><select id="fi_type" name="fi_type">
               <option value="LIB">Fichier Libs</option>
               <option value="CSS">Fichier CSS</option>
               <option value="JS">Fichier JS</option>
            </select></td>
         <td><input type="text" value="" id="fi_name" name="fi_name" maxlength="50" size="30" placeholder="Nom et path du fichier"></td>
         <td><input type="text" value="" id="fi_note" name="fi_note" maxlength="500" size="50" placeholder="Informations"></td>
         <td class="acenter">
            <button id="btSave">Enregistrer</button><button id="btRaz" title="Efface le formulaire">RAZ</button>
         </td>
      </tr>
      <tr>
         <td colspan="7" id="errorLine"></td>
      </tr>
      <tbody id="liste"></tbody>
   </table>
</form>
</div>

<?php require_once('footer.php'); ?>

<script>
$("#nbLigne").html(0);

$(document).ready(function() { MyMVC_Admin.init('frmFile','liste'); }) ;

function fillTable(data)
{
    container = document.getElementById('liste');
    i = data.length;
    $("#nbLigne").html(i);
    back = '#FDFDFD';
    for(j=0;j<i;j++)
    {
        r = data[j];
        tr = document.createElement('tr');
        td = document.createElement('td');
        td.innerHTML = r.id_file;
        td.className="acenter";
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.fi_type;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.fi_name;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.setAttribute('style', 'word-wrap: break-word;');
        td.innerHTML = r.fi_note;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.className="acenter";
        td.innerHTML = '<button class="btEdit" id='+r.id_file+' title="Modifier cette ligne">Editer</button>';
        td.innerHTML += '<button class="btDelete" id='+r.id_file+' title="Supprimer cette ligne">Suppr.</button>';
        tr.appendChild(td);
        tr.setAttribute('id',+r.id_file);
        //tr.setAttribute('style',"background:"+back+";");
        tr.className = "type_"+r.fi_type;;
        back = (back=='#FDFDFD')? '#DEDEDE' : '#FDFDFD';
        container.appendChild(tr);
    }
    MyMVC_Admin.enableButton();
  }
</script>
