<!--
  Gestion des ACLs en base
-->

<?php require_once('header.php'); ?>

<div id="content"> 
   <h3>Pages (<span id="nbLigne"></span>)</h3>
   <form id="frmPage" method="post" action="javascript:void(0);">
      <input type="hidden" name="action" value="save">
      <input type="hidden" name="crud_model" id="crud_model" value="MyMVC_page_ini">
   <table border="1">
      <tr>
         <th width="61">ID</th>
         <th width="165">Url</th>
         <th width="165">Controler</th>
         <th width="165">Action</th>
         <th width="285">Params</th>
         <th width="140">&nbsp;</th>
      </tr>
      <tr id="frmLine">
         <td><input type="text" readonly="readonly" value="" id="id_page" name="id_page" size="3"> </td>
         <td><input type="text" value="" id="pa_url" name="pa_url" maxlength="50" size="20" placeholder="Url de la page"></td>
         <td><input type="text" value="" id="pa_controler" name="pa_controler" maxlength="50" size="20" placeholder="Controler"></td>
         <td><input type="text" value="" id="pa_action" name="pa_action" maxlength="50" size="20" placeholder="Action"></td>
         <td><input type="text" value="" id="pa_params" name="pa_params" maxlength="255" size="40" placeholder="Params optionnels"></td>
         <td class="acenter">
            <button id="btSave">Enregistrer</button><button id="btRaz" title="Efface le formulaire">RAZ</button>
         </td>
      </tr>
      <tr>
         <td colspan="6" id="errorLine"></td>
      </tr>
      <tbody id="liste"></tbody>
   </table>
</form>
</div>

<?php require_once('footer.php'); ?>

<script>
$("#nbLigne").html(0);   
$(document).ready(function() { MyMVC_Admin.init('frmPage','liste'); }) ;

function fillTable(data)
{
    container = document.getElementById('liste');
    i = data.length;
    $("#nbLigne").html(i);
    back = '#FDFDFD';
    for(j=0;j<i;j++)
    {
        r = data[j];
        tr = document.createElement('tr');
        td = document.createElement('td');
        td.innerHTML = r.id_page;
        td.className="acenter";
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.pa_url;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.pa_controler;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.pa_action;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.pa_params;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.className="acenter";
        td.innerHTML = '<button class="btEdit" id='+r.id_page+' title="Modifier cette ligne">Editer</button>';
        td.innerHTML += '<button class="btDelete" id='+r.id_page+' title="Supprimer cette ligne">Suppr.</button>';
        tr.appendChild(td);
        tr.setAttribute('id',+r.id_page);
        tr.setAttribute('style',"background:"+back+";");
        back = (back=='#FDFDFD')? '#DEDEDE' : '#FDFDFD';
        container.appendChild(tr);
    }
    MyMVC_Admin.enableButton();
  }
</script>
