<?php
/*
Copyright (C) 2013 - 2014 Auguste  <postmaster@pajagus.fr>
    
This file is part of MyMVC PHP Framework.

MyMVC PHP Framework is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MyMVC PHP Framework is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MyMVC PHP Framework.  If not, see <http://www.gnu.org/licenses/> 

###################################################################
 * 
 * 
 * Model pour l'enregistrement des logs en BDD
 * 
 * 
 * 
 * 
 */


/** 14/03/13 */
class Log extends MyMVC_Model
{
   public function __construct() {
      $this->_sqlCreateTable = "(
         `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
         `date` datetime NOT NULL,
         `env` varchar(10) NOT NULL,
         `level` varchar(10) NOT NULL,
         `message` text NOT NULL,
         PRIMARY KEY (`id`)
         ) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;" ;
		parent::__construct('_log',false) ; // table globale n'utilise pas de prefix
		$this->_setPrimaryKey("id",true) ;  // autoincremente	
      $this->_setOrder('log_date');
   }
   
}
