<?php
/*
Copyright (C) 2011 - 2014 Auguste  <postmaster@pajagus.fr>
    
This file is part of MyMVC PHP Framework.

MyMVC PHP Framework is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MyMVC PHP Framework is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MyMVC PHP Framework.  If not, see <http://www.gnu.org/licenses/> 

#################################################################

 * 20/02/14
 * 
 * Controler spécial utilisé avec des urls du type  _mymvc/XXX => XXX = action
 * 
 * 15/04/14 - showVersionAction()
 * 
 */

define ('MyMVC_MYCONTROLER_VERSION','1.02');

class myControler extends MyMVC_Controler {	
		
	function __construct() { 
		parent::__construct('myControler') ;  // appel methode contruct du parent
   }
   
   /** 
    * 20/02/14 
    * Retourne toutes les traductions
    * en Js on utiliser ensuite: MyMVC.getTrad(id) pour recuperer une trad
    * 
    * @return false
    * 
    */
   function getTradAction() {
      $trads = array();
      $localStrings = MyMVC::_getInstance()->_localStrings;
      foreach($localStrings as $id=>$tr) {
         $trads[] = array('id'=>$id,'trad'=>$tr);
      }
      $this->_view->_sendJsonResponse(array('requestOk'=>true,'message'=>'','data'=>$trads));
      return false;
   }
   
	 /**
	  * 15/04/14
	  * Affiche les versions des différentes classes de MyMVC
	  * 
	  * @return boolean
	  */
	 function showVersionAction() {
		 $v = new MyMVC_View();
		 $v->_setTemplateDir(dirname(__FILE__).'/templates/');
		 $v->_load('versions.html');
		 $v->_addJsFiles(array('{BASE_URL}mymvc/js/admin.js','{BASE_URL}mymvc/js/wizard.js',
				 '{BASE_URL}mymvc/js/apis.js','{BASE_URL}mymvc/js/mymvc.js'));
		 $v->_render();
		 $v->_sendHeaders();
		 print $v->_getCode();
		 //d('iii--');
		 return false;
	 }
   
}