<!--
  Gestion des ACLs en base
-->

<?php require_once('header.php'); ?>

<div id="content"> 
   <h3>Viewvar (<span id="nbLigne"></span>)</h3>
   <form id="frmViewvar" method="post" action="javascript:void(0);">
      <input type="hidden" name="action" value="save">
      <input type="hidden" name="crud_model" id="crud_model" value="MyMVC_viewvar_ini">
   <table border="1">
      <tr>
         <th width="40">ID</th>
         <th width="180">Context</th>
         <th width="150">Variable</th>
         <th width="150">Valeur</th>
         <th width="200">Note</th>
         <th width="140">&nbsp;</th>
      </tr>
      <tr id="frmLine">
         <td><input type="text" readonly="readonly" value="" id="id_viewvar" name="id_viewvar" size="3"> </td>
         <td><input type="text" value="" id="vi_context" name="vi_context" maxlength="50" size="20" placeholder="Context"></td>
         <td><input type="text" value="" id="vi_name" name="vi_name" maxlength="50" size="20" placeholder="Variable"></td>
         <td><input type="text" value="" id="vi_value" name="vi_value" maxlength="50" size="20" placeholder="Valeur"></td>
         <td><input type="text" value="" id="vi_note" name="vi_note" maxlength="500" size="40" placeholder="Informations"></td>
         <td class="acenter">
            <button id="btSave">Enregistrer</button><button id="btRaz" title="Efface le formulaire">RAZ</button>
         </td>
      </tr>
      <tr>
         <td colspan="6" id="errorLine"></td>
      </tr>
      <tbody id="liste"></tbody>
   </table>
</form>
</div>

<?php require_once('footer.php'); ?>

<script>
$("#nbLigne").html(0);   
$(document).ready(function() { MyMVC_Admin.init('frmViewvar','liste'); }) ;

function fillTable(data)
{
    container = document.getElementById('liste');
    i = data.length;
    $("#nbLigne").html(i);
    back = '#FDFDFD';
    for(j=0;j<i;j++)
    {
        r = data[j];
        tr = document.createElement('tr');
        td = document.createElement('td');
        td.innerHTML = r.id_viewvar;
        td.className="acenter";
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.vi_context;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.vi_name;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.vi_value;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.innerHTML = r.vi_note;
        tr.appendChild(td);
        
        td = document.createElement('td');
        td.className="acenter";
        td.innerHTML = '<button class="btEdit" id='+r.id_viewvar+' title="Modifier cette ligne">Editer</button>';
        td.innerHTML += '<button class="btDelete" id='+r.id_viewvar+' title="Supprimer cette ligne">Suppr.</button>';
        tr.appendChild(td);
        tr.setAttribute('id',+r.id_viewvar);
        tr.setAttribute('style',"background:"+back+";");
        back = (back=='#FDFDFD')? '#DEDEDE' : '#FDFDFD';
        container.appendChild(tr);
    }
    MyMVC_Admin.enableButton();
  }
</script>

